<?php
/***************************************************
              admin/appsView.php
               Written By: Yume
              Last Update: 6/09/07
            
 Provides a form for changing the columns on viewapps.
 is self-invoking and alters the config table.
 
 This software is licensed under the GPL.
****************************************************/
include('header.php');

if ($_POST['appsView']=="change")//if changes were submitted...
{
	applyUpdateConfig("numApps",$_POST["numApps"]);
	applyUpdateConfig("viewApps",$_POST["viewApps"]);
	applyGetConfig();
}

echo "<div class='appSecHead'>ViewApps Configuration</div>\n";
echo "<div class='appSecBody'>\n";

echo "<p>This area changes the fields that are displayed on the viewApps.php page. Here's how it works:<br /><br/>\n";
echo "| (pipe) Creates a new column or cell<br />\n";
echo "/ (forward slash) Creates a line break within that cell<br />\n";
echo "- (dash) Creates a space for separating two fields on the same line of the same cell<br /><br />\n";
echo "In between these symbols you must type the field ID. A list of all field IDs follows the form - they are case-sensitive.<br /></p>\n";

//form to enter the # of apps per page and the columns for viewapps.
echo "<form method='post' name='form1' action='appsView.php'>\n";
echo "Number of apps per page: <input type='text' size='4' value='".$applyConfig['numApps']."' name='numApps'><br />\n";
echo "Columns: <input type='text' size='120' name='viewApps' value='".$applyConfig['viewApps']."'><br />\n";
echo "<input type='hidden' name='appsView' value='change'>\n";
echo "<input type='submit' value='Save Changes' class='appBtn' onmouseover=\"this.className='appBtn appBtnHov'\" onmouseout=\"this.className='appBtn'\">\n";
echo "</form>\n";

//print out all fields so you can see what to put into the columns box.
$applyFields = applyGetAllFields(1);
echo "<table>\n";
echo "<tr><td class='appHead'>ID</td><td class='appHead'>Description</td></tr>\n";
echo "<tr><td>Icon</td><td>Class Icon</td></tr>\n";
for ($i = 0; $i < count($applyFields); $i++)
{
	echo "<tr><td>".$applyFields[$i]['fieldID']."</td><td>".$applyFields[$i]['fieldName']."</td></tr>\n";
}
echo "</table>\n";

echo "</div>\n"; //end appSecBody
include('footer.php');
?>