<?php
/***************************************************
               admin/recruit.php
               Written By: Yume
              Last Update: 12/12/08
            
  Allows configuration of the recruitment front page text
  as well as toggling recruitment on/off for every class.
  
 This software is licensed under the GPL.
****************************************************/

include("header.php");

$configClasses=applyUnPipe(applyGetClasses());

if ($_POST['recruit'] == "change")//if form was submitted from this page...
{
	echo "<div class='appFeedback'>\n";
	for ($i = 0; $i < count($configClasses); $i++)
	{
		if ($_POST[str_replace(" ","_",$configClasses[$i])] != $applyConfig['recruit'.$configClasses[$i]])
		{
			applyUpdateConfig('recruit'.$configClasses[$i],$_POST[str_replace(" ","_",$configClasses[$i])]);
		}
	}
	if ($_POST['classSort'] != $applyConfig['classSort'])
	{
		applyUpdateConfig('classSort', $_POST['classSort']);
	}
	
	for ($i = 1; $i <= 3; $i++)
	{
		applyUpdateWords($i, $_POST[$i.'Name'],$_POST[$i.'Data']);
	}
	applyUpdateConfig("recruitUpdated",time());
	applyGetConfig();
	echo "</div>\n";
}
echo "<div class='appSecHead'>Recruitment Information</div>\n";
echo "<div class='appSecBody'>\n";
echo "<p>This information shows up on the main application entrance page. Put '%t' into any title field to have it display the date the recruitment information was last updated. Leave a title field blank and it won't show up at all on the main page.</p>\n";
echo "<form method='post' name='form1' action='recruit.php'>\n";

$getWord = applyQuery("SELECT * FROM `".$applyPrefix."words`;");
while ($myWord = applyRow($getWord))
{
	echo "<div class='appMinHead'>&nbsp;</div>\n<div class='appMinBody'>\n";
	echo "	Title: <input name='".$myWord['wordsID']."Name' size='64' value='".$myWord['wordsName']."'><br />\n";
	echo "	<textarea cols='80' rows='12' name='".$myWord['wordsID']."Data'>".$myWord['wordsData']."</textarea><br />\n";
	echo "</div>\n";
}
echo "<br />\n";
echo "<div class='appMinHead'>Class Recruitment</div>\n<div class='appMinBody'>\n";

echo "On main page, sort classes by <select name='classSort'>\n";
echo "		<option value='0' ";
	if ($applyConfig['classSort'] == 0) echo "selected";
echo ">Class Name</option>";
echo "		<option value='1' ";
if ($applyConfig['classSort'] == 1) echo "selected";
echo ">Recruit Status</option>";
echo "	</select><br />\n";

echo "<table>\n";
echo "<tr><td class='appHead'>Class</td><td class='appHead'>Yes</td><td class='appHead'>No</td></tr>\n";
for ($i = 0; $i < count($configClasses); $i++)
{
	echo "<tr><td>".$configClasses[$i]."</td>";
	echo "<td><input type='radio' name='".$configClasses[$i]."' value='1' ";
	if ($applyConfig['recruit'.$configClasses[$i]] == 1) echo "checked ";
	echo "></td>";
	echo "<td><input type='radio' name='".$configClasses[$i]."' value='0' ";
	if ($applyConfig['recruit'.$configClasses[$i]] == 0) echo "checked ";
	echo "></td>";
}
echo "</table>\n";
echo "</div>\n";
echo "<input type='hidden' name='recruit' value='change'>\n";
echo "<input type='submit' value='submit'>\n";
echo "</form>\n";	
echo "</div>\n";//end secbody

include("footer.php");
?>