<?php
/***************************************************
              includes/phpBB.php
               Written By: Yume
              Last Update: 6/18/07
            
 connects to forums and gets userdata and sets
 $applyUserdata variable.
   
 This software is licensed under the GPL.
****************************************************/

//login to forum.
if (!defined('IN_PHPBB')) // allows you to already have included phpbb files and still work
{	
	define('IN_PHPBB', true);
	global $phpbb_root_path;
	$phpbb_root_path = $applyForumPath;
	include($phpbb_root_path . 'extension.inc');
	include($phpbb_root_path . 'common.php'); 
	$userdata = session_pagestart($user_ip, PAGE_LOGIN);
	init_userprefs($userdata);
}

//check guild membership permission
$isMember = 0;
$is_auth = array();
$is_auth = auth(AUTH_ALL, $applyForumMemberID, $userdata, $forum_row);
if ( $is_auth['auth_read'] && $is_auth['auth_view'] ) $isMember = 1;

//check admin permission
$isAdmin = 0;
if ($applyAdminPermissions == -1)
{
	if ($userdata['user_level'] == 1 || $userdata['user_level'] == 2 ) $isAdmin = 1;
}
else
{
	$is_auth = array();
	$is_auth = auth(AUTH_ALL, $applyAdminPermissions, $userdata, $forum_row);
	if ( $is_auth['auth_read'] && $is_auth['auth_view'] ) $isAdmin = 1;
}


//set applyUserdata
$applyUserdata['userName'] = $userdata['username'];
$applyUserdata['userEmail'] = $userdata['user_email'];
$applyUserdata['isMember'] = $isMember;
$applyUserdata['isAdmin'] = $isAdmin;
$applyUserdata['isLoggedIn'] = $userdata['session_logged_in'];
$applyUserdata['session'] = applyMakeSession($userdata['session_id']);
applyInit(); //init the DB again because the forum include prolly overwrote it in a bad way.
?>