<?php
/***************************************************
              includes/phpBB3.php
               Written By: Yume
              Last Update: 3/18/08
            
 connects to forums and gets userdata and sets
 $applyUserdata variable.
   
 This software is licensed under the GPL.
****************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = $applyForumPath;
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include($phpbb_root_path . 'includes/functions_user.' . $phpEx);


// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('viewforum');

$isMember = 0;
$isMember = $auth->acl_get('f_list', $applyForumMemberID);

$isAdmin = 0;
if ($applyAdminPermissions == -1)
{
	//user_type is no longer used to determine if user is admin. performing query to see if user is in administrators group.
	$isAdmin = applySingleQuery("SELECT count(*) FROM ".$applyDBForumPrefix."groups g , ".$applyDBForumPrefix."user_group u WHERE u.user_id ='".$user->data["user_id"]."' AND u.group_id = g.group_id and g.group_name = 'ADMINISTRATORS';");
	
}
else
{
	$isAdmin = $auth->acl_get('f_list', $applyAdminPermissions);
}

$isLoggedIn = 0;
if ($user->data["user_type"] == 3 || $user->data["user_type"] == 0)
{
	$isLoggedIn = 1;
}


$applyUserdata['userName'] = $user->data['username'];
$applyUserdata['userEmail'] = $user->data['user_email'];
$applyUserdata['isMember'] = $isMember;
$applyUserdata['isAdmin'] = $isAdmin;
$applyUserdata['isLoggedIn'] = $isLoggedIn;
$applyUserdata['session'] = applyMakeSession($user->data['session_id']);
applyInit(); //init the DB again because the forum include prolly overwrote it in a bad way.

?>