<?php
/***************************************************
                  post.php
               Written By: Yume
              Last Update: 2/17/07
            
 Allows you to edit or delete comments added to applications.
   
 This software is licensed under the GPL.
****************************************************/
include("header.php");

if (isset($_GET['delete']))
{
	//perform security check.
	$applyGetComm = applyQuery("SELECT * FROM `".$applyPrefix."comments` WHERE `commID` = '".$_GET['delete']."' LIMIT 1;");
	$applyComm = applyRow($applyGetComm);
	applyFree($applyGetComm);
	if ($applyComm['commAppID'] != $_GET['ref']) die("ref mismatch. hacking attempt?");
	
	if ($applyUserdata['isAdmin'])//if it's an admin deleting the post, it deletes it right off
	{
		applyDeleteComment($_GET['delete'], $_GET['ref']);
	}
	else //otherwise we have to make sure that the person deleting the post is the person who wrote it.
	{
		if ($applyComm['commMemberName'] == $applyUserdata['userName']) applyDeleteComment($_GET['delete'], $_GET['ref']);
		else die('unauthorized');		
	}
}

if (isset($_GET['edit']))
{
	//perform security check.
	$applyGetComm = applyQuery("SELECT * FROM `".$applyPrefix."comments` WHERE `commID` = '".$_GET['edit']."' LIMIT 1;");
	$applyComm = applyRow($applyGetComm);
	applyFree($applyGetComm);
	if ($applyComm['commAppID'] != $_GET['ref']) die("ref mismatch. hacking attempt?");
	
	if ($applyUserdata['isAdmin'] || $applyComm['commMemberName'] == $applyUserdata['userName'])
	{
		if ($_POST['commSub'] == "yes") // someone has submitted the actual edited comment field, make changes to DB.
		{
			applyEditComment($_GET['edit'], $_GET['ref'], $_POST['comments'], $_POST['share']);
		}
		else//if they havent submitted the comment edits, give them a form to do so.
		{
			echo "<div class = 'appSecHead'>" . applyTitle("Edit your post") . "</div>\n";
			echo "<div class = 'appSecBody'>\n";
			
			echo "<form method='post' name='form1' action='post.php?edit=" . $_GET['edit'] . "&ref=" . $_GET['ref'] . "'>\n";
			echo "<textarea name='comments' cols='120' rows = '4'>".$applyComm['commData']."</textarea><br />\n";
			echo "<input type = 'hidden' name =  'commSub' value = 'yes'>\n";
			echo "Let app see this post?\n";
			echo "<input type = 'radio' name = 'share' id = 'share' value='1'";
			if ($applyComm['commShare'] == 1) echo "checked";
			echo ">Yes &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type = 'radio' name = 'share' id = 'share' value='0'";
			if ($applyComm['commShare'] == 0) echo "checked";
			echo ">No\n";
			echo "<input type='submit' value='Submit'>\n";
			echo "</form>\n";

			echo "</div>\n";
			echo "<div class='appSecFoot'></div>\n";
		}
	}
	else die("not authorized");
}

include('footer.php');
?>