<?php
/***************************************************
                  view.php
               Written By: Yume
              Last Update: 6/17/07
            
 Gives the applicant a quick screen to track their
 app(s). The system actually allows you to apply multiple
 times under the same account, if you wanted to app 
 multiple characters. This page will display all applications
 tied to the user logged in and give options for edit/delete/view.
 
 This software is licensed under the GPL.
****************************************************/

include("header.php");

applyRequireLoggedIn();

if (isset($_GET['delete']))//if they requested a delete.
{
	$applyGetApp = applyQuery("SELECT * FROM `".$applyPrefix."apps` WHERE `appID` = '".$_GET['delete']."';");
	$applyApp = applyRow($applyGetApp);
	applyFree($applyGetApp);
	if ($applyApp['appUserName'] != $applyUserdata['userName'])//you have to be the owner of the application to delete it. duh.
	{
		die("hacking attempt");
	}
	
	if(isset($_POST['verify']))
	{
		 if ($_POST['verify'] == "yes")
		 {
			applyDelApp($_GET['delete']);
		}
	}
	else applyVerifyDelApp($_GET['delete'], "view.php");
}
echo "<div class = 'appSecHead'>" . applyTitle("View or Edit your Application(s)") . "</div>\n";
echo "<div class = 'appSecBody'>\n";
$applyGet = applyQuery("SELECT * FROM `".$applyPrefix."apps` WHERE `appUserName` = '".$applyUserdata['userName']."';");
if ($app = applyRow($applyGet))
{
	
	echo "<p>You can edit or update your application by selecting the edit option on the right hand side. Editing your application 'bumps' it so we can review your changes.</p>";
	echo "<p>Worried your application won't show up right? Click on the view button and you'll see your application as we see it. You can also see any feedback posted to your application on the view page.</p>\n";
	echo "<table cellspacing = '0' cellpadding = '10'>";
	echo "<tr><td class = 'appHead'><b>Name</b></td><td class = 'appHead'><b>Class</b></td><td class = 'appHead'><b>Level</b></td><td class = 'appHead'><b>Race</b></td><td class = 'appHead'><b>Date Created</b></td><td class = 'appHead'><b>Date Updated</b></td>";
	if ($applyConfig['showStatus'] == 2) echo "<td class = 'appHead'><b>Status</b></td>";
	echo "<td class = 'appHead'><b>Edit</b></td><td class = 'appHead'><b>View</b></td><td class = 'appHead'><b>Delete</b></td></tr>\n";
	do
	{
		echo "	<tr>\n";
		echo "		<td>" . $app['appName'] . "</td>\n";
		echo "		<td>" . $app['appClass'] . "</td>\n";
		echo "		<td>" . $app['appLevel'] . "</td>\n";
		echo "		<td>" . $app['appRace'] . "</td>\n";
		echo "		<td>" . date("g:i a m-d-Y", $app['appCreated']) . "</td>\n";
		echo "		<td>" . date("g:i a m-d-Y", $app['appUpdated']) . "</td>\n";
		if ($applyConfig['showStatus'] == 2) echo "<td>".applyGetStatus($app['appStatus'])."</td>";
		echo "		<td><a href='apply.php?appID=" . $app['appID'] . "'>Edit</a></td>\n";
		echo "		<td><a href='details.php?appID=" . $app['appID'] . "'>View</a></td>\n";
		echo "		<td><a href='view.php?delete=" . $app['appID'] . "'>Delete</a></td>\n";
		echo "	</tr>\n";
	}
	while ($app = applyRow($applyGet));
	echo "</table>";
}
else
{
	echo "<p>No application was found attached to your current login.</p>";
}
applyFree($applyGet);
echo "</div>\n"; //end appSecBody
echo "<div class='appSecFoot'></div>\n";
include('footer.php');
?>