<?php
/***************************************************
                admin/index.php
               Written By: Yume
              Last Update: 6/14/07
            
 Provides some general info about the system.
 
 This software is licensed under the GPL.
****************************************************/
include("header.php");

$updateClasses = 0;
$applyChange = 0;

$firstApp = applySingleQuery("SELECT `appCreated` FROM `".$applyPrefix."apps` ORDER BY `appCreated` ASC LIMIT 1;");

$newfindLast = applySingleQuery("SELECT `appID` FROM `".$applyPrefix."apps` ORDER BY `appID` DESC LIMIT 1;");

$numApps = applySingleQuery("SELECT count(*) FROM `".$applyPrefix."apps`;");

$numComms = applySingleQuery("SELECT count(*) FROM `".$applyPrefix."comments`;");

$duration = (time()-$firstApp)/(60*60*24);
if ($duration == 0)$duration = 1;

$appsPerDay = round(1.0*$numApps/$duration,2);
$commsPerDay = round(1.0*$numComms/$duration,2);

if ($numApps != 0) $commsPerApp = round(1.0*$numComms/$numApps,2);
else $commsPerApp = 0;

echo "<div class='appSecHead'>General Information</div>\n";
echo "<div class='appSecBody'>\n";

echo "<p>\n";
echo "<span class='appLeft'>Software Version:</span> ".$applyConfig['version']."<br />\n";
echo "<span class='appLeft'>Number of Open Apps:</span> ".$numApps."<br />\n";
echo "<span class='appLeft'>Apps Per Day:</span> ".$appsPerDay."<br />\n";
echo "<span class='appLeft'>Number of Comments:</span> ".$numComms."<br />\n";
echo "<span class='appLeft'>Comments Per Day:</span> ".$commsPerDay."<br />\n";
echo "<span class='appLeft'>Avg Comments Per App:</span> ".$commsPerApp."<br />\n";
echo "</p>\n";



echo "</div>\n";//end appSecBody

include("footer.php");
?>