<?php
/***************************************************
                admin/config.php
               Written By: Yume
              Last Update: 6/17/07
            
 Provides a form for updating various values in the
 config table.
 
 This software is licensed under the GPL.
****************************************************/
include("header.php");

$updateClasses = 0;
$applyChange = 0;
if ($_POST['config']=="change")//if changes were submitted...
{
	echo "<div class='appFeedback'>\n";
	$configFields=array('guildName','races','emailNotify','webEmail', 'domainName', 'multiStep', 'dirPath', 'serverName', 'showStatus');
	for ($i = 0; $i < count($configFields); $i++)
	{
		if ($applyConfig[$configFields[$i]] != $_POST[$configFields[$i]])
		{
			$applyChange = 1;
			applyUpdateConfig($configFields[$i],$_POST[$configFields[$i]]);
			if ($configFields[$i] == 'classes')
			{
				$updateClasses = 1;
			}
		}
	}
	applyGetConfig();
	if ($updateClasses)
	{
		applyPopulateRecruit();
	}
	applyGetConfig();
	
	if ($_POST['forumID'] != $applyForumMemberID || $_POST['adminID'] != $applyAdminPermissions)
	{
		$applyChange = 1;
		$applyDB = array();
		$applyDB['type'] = $applyDBType;
		$applyDB['host'] = $applyDBHost;
		$applyDB['name'] = $applyDBName;
		$applyDB['user'] = $applyDBUser;
		$applyDB['pass'] = $applyDBPass;
		$applyDB['forumPrefix'] = $applyDBForumPrefix;
		applyMakeConfig($applyForumPath, $applyForumType, $applyPrefix, $_POST['forumID'], $applyDB, $_POST['adminID']);
		$applyForumMemberID = $_POST['forumID'];
		$applyAdminPermissions = $_POST['adminID'];
		echo "<p>Config file rewritten with new permissions.</p>\n";
	}
	
	if ($applyChange == 0)
	{
		echo "<p>No changes were made.</p>\n";
	}
	echo "</div>\n";
}
$applyForumList = applyGrabForumList($applyForumType);

echo "<div class='appSecHead'>General Configuration</div>\n";
echo "<div class='appSecBody'>\n";
echo "<form method='post' name='form1' action='panel.php'>\n";
echo "<table>\n";
echo "<tr><td>Guild Name:</td><td><input type='text' size='64' value='".$applyConfig['guildName']."' name='guildName'></td></tr>\n";
echo "<tr><td>Races (pipe-delimited):</td><td><input type='text' size='64' value='".$applyConfig['races']."' name='races'></td></tr>\n";

echo "<tr><td>Email app when they get public comment:</td><td>";
echo "	<select name='emailNotify'>\n";
applyPrintOptions($applyConfigEmailNotify, $applyConfig['emailNotify']);
echo "	</select>";
echo "</td></tr>\n";

echo "<tr><td>Application single or multi-step:</td><td>";
echo "	<select name='multiStep'>\n";
applyPrintOptions($applyConfigMultiStep, $applyConfig['multiStep']);
echo "	</select>";
echo "</td></tr>\n";

echo "<tr><td>Show application status:</td><td>";
echo "	<select name='showStatus'>\n";
applyPrintOptions($applyConfigShowStatus, $applyConfig['showStatus']);
echo "	</select>";
echo "</td></tr>\n";

echo "<tr><td>WoW Server Name:</td><td><input type='text' size='64' value='".$applyConfig['serverName']."' name='serverName'><i>(for linking to the armory)</i></td></tr>\n";
echo "<tr><td>WebMaster's Email Address:</td><td><input type='text' size='64' value='".$applyConfig['webEmail']."' name='webEmail'></td></tr>\n";
echo "<tr><td>Your Domain Name:</td><td><input type='text' size='64' value='".$applyConfig['domainName']."' name='domainName'></td></tr>\n";
echo "<tr><td>Web Path to Apply directory:</td><td><input type='text' size='64' value='".$applyConfig['dirPath']."' name='dirPath'></td></tr>\n";
echo "<tr><td>Guild member permissions:</td><td> <select name='forumID'>\n";
applyPrintOptions($applyForumList, $applyForumMemberID);
echo "</select></td></tr>\n";
echo "<tr><td>Administrator permissions:</td><td> <select name='adminID'>\n";
$applyAdminOptions = array(-1 => "Make Admin if user is forum admin");
$applyAdminOptions += $applyForumList;
applyPrintOptions($applyAdminOptions, $applyAdminPermissions);
echo "</select></td></tr>\n";
echo "</table>\n";
echo "<input type='hidden' name='config' value='change' />\n";
echo "<input type='submit' value='Save Changes' class='appBtn' onmouseover=\"this.className='appBtn appBtnHov'\" onmouseout=\"this.className='appBtn'\" />\n";
echo "</form>\n";
echo "</div>\n";//end appSecBody

include("footer.php");
?>