<?php
/***************************************************
              includes/phpBB.php
               Written By: Yume
              Last Update: 6/18/07
            
 connects to forums and gets userdata and sets
 $applyUserdata variable.
   
 This software is licensed under the GPL.
****************************************************/

//login to forum.

define('PUN_ROOT', $applyForumPath);
require PUN_ROOT.'include/common.php';

//guild member query
$applyMembership = applySingleQuery('SELECT count(*) FROM '.$db->prefix.'categories AS c INNER JOIN '.$db->prefix.'forums AS f ON c.id=f.cat_id LEFT JOIN '.$db->prefix.'forum_perms AS fp ON (fp.forum_id=f.id AND fp.group_id='.$pun_user['g_id'].') WHERE f.id='.$applyForumMemberID.' AND fp.read_forum IS NULL OR fp.read_forum=1 ORDER BY c.disp_position, c.id, f.disp_position');

//check admin permission
$isAdmin = 0;
if ($applyAdminPermissions == -1)
{
	if ($pun_user['g_title'] == "Administrators" ) $isAdmin = 1;
}
else
{
	$isAdmin = applySingleQuery('SELECT count(*) FROM '.$db->prefix.'categories AS c INNER JOIN '.$db->prefix.'forums AS f ON c.id=f.cat_id LEFT JOIN '.$db->prefix.'forum_perms AS fp ON (fp.forum_id=f.id AND fp.group_id='.$pun_user['g_id'].') WHERE f.id='.$applyAdminPermissions.' AND fp.read_forum IS NULL OR fp.read_forum=1 ORDER BY c.disp_position, c.id, f.disp_position');
}

$applyUserdata['userName'] = $pun_user['username'];
$applyUserdata['userEmail'] = $pun_user['email'];
$applyUserdata['isMember'] = $applyMembership;
$applyUserdata['isAdmin'] = $isAdmin;
if ($pun_user['is_guest']) $applyUserdata['isLoggedIn'] = 0;
else $applyUserdata['isLoggedIn'] = 1;
$applyUserdata['session'] =  applyMakeSession(md5($pun_user['username'].$pun_user['password']));

applyInit(); //init the DB again because the forum include prolly overwrote it in a bad way.
?>