<?php
/***************************************************
                  index.php
               Written By: Yume
              Last Update: 2/19/07
            
  Displays information on which classes we are recruiting,
 text on our recruitment process, makes little icons, etc.
   
 This software is licensed under the GPL.
****************************************************/
//this only matters if you're using phpNuke but we have to do this regardless.
if (substr($_ENV['SCRIPT_NAME'],strlen($_ENV['SCRIPT_NAME'])-11) == "modules.php")
{
	include("header.php");
	OpenTable();
	echo "<iframe SRC='modules/App/index.php' width='1024' height='2500' framespacing='0' frameborder='no' border='0' scrolling='auto' align='middle'></iframe>\n";
	CloseTable();
	include("footer.php");
	die();
}
include("header.php");

echo "<div class='appSecHead'>".applyTitle("Welcome to the ".$applyConfig['guildName']." Recruitment Center")."</div>\n";

echo "<div class = 'appSecBody'>\n";

$classes = applyUnPipe(applyGetClasses());

echo "<div class = 'appCenter'>\n";//god i hate IE
echo "<table class = 'appCenter' border='0'>\n";
if ($applyConfig['classSort'] == '1')
{
	$anyOpen = 0;
	$anyClosed = 0;
	//check to see if there are any open or closed
	for ($i = 0; $i < count($classes); $i++)
	{
		if ($applyConfig["recruit".$classes[$i]]) $anyOpen = 1;
		if (!$applyConfig["recruit".$classes[$i]]) $anyClosed = 1;

	}
		
	echo "<tr>";
	if ($anyOpen) echo "<td><span class='positive' style='font-weight: bold;'>Open</span></td>";
	if ($anyClosed) echo "<td><span class='negative' style='font-weight: bold;'>Closed</span></td>";
	echo "</tr>\n";
	echo "<tr>";
	
	if ($anyOpen)
	{
		echo "<td style='border: 2px solid #00AA00; background-color: #CCFFCC;'><table border='0'><tr>\n";
		for ($i = 0; $i < count($classes); $i++)
		{
			if ($applyConfig["recruit".$classes[$i]])
			{
				echo "<td class='appClass'><b>".ucfirst($classes[$i])."</b><br />";
				echo"<img src = '".$applyLinkMod."pics/".strtolower($classes[$i])."1.gif' alt='".$classes[$i]." icon' /><br />";
				echo "</td>\n";
			}
		}
		echo "</tr></table></td>";
	}
	
	if ($anyClosed)
	{
		echo "<td style='border: solid 2px #AA0000; background-color: #FFCCCC;'><table border='0'><tr>\n";
		for ($i = 0; $i < count($classes); $i++)
		{
			if (!$applyConfig["recruit".$classes[$i]])
			{
				echo "<td class='appClass'><b>".ucfirst($classes[$i])."</b><br />";
				echo"<img src = '".$applyLinkMod."pics/".strtolower($classes[$i])."1.gif' alt='".$classes[$i]." icon' /><br />";
				echo "</td>\n";
			}
		}
		echo "</tr></table></td>";
	}
	echo "</tr>\n";
	
}
else
{
	echo "<tr>\n";
	for ($i = 0; $i < count($classes); $i++)
	{
		if ($applyConfig["recruit".$classes[$i]]) 
		{
			echo "<td class='appClass' style='border: 2px solid #00AA00; background-color: #CCFFCC;'><b>".ucfirst($classes[$i])."</b><br />";
			echo "<img src = '".$applyLinkMod."pics/".strtolower($classes[$i])."1.gif'alt='".$classes[$i]." icon' /><br /><span class='appPositive'>Open</span>";
			echo "</td>\n";
		}
		else
		{
			echo "<td class='appClass' style='border: solid 2px #AA0000; background-color: #FFCCCC;'><b>".ucfirst($classes[$i])."</b><br />";
			echo "<img src = '".$applyLinkMod."pics/".strtolower($classes[$i])."0.gif' alt='".$classes[$i]." icon' /><br /><span class='appNegative'>Closed</span>";
			echo "</td>\n";
		}
	}
	echo "</tr>\n";
}
echo "</table>\n";
echo "</div>\n";

echo "<div style='clear:both;'></div>\n";
echo "<br />\n";
$applyWordQry = applyQuery("SELECT * FROM `".$applyPrefix."words` where `wordsName` != '';"); //pull the text fields from the db.
while ($applyWord = applyRow($applyWordQry))
{
	echo "<div class='appSecHead'>".str_replace('%t', date("n/d/y", $applyConfig['recruitUpdated']), $applyWord['wordsName'])."</div>\n";
	echo "<div class='appSecBody'>".nl2br($applyWord['wordsData'])."</div>\n";
}

echo "</div>\n"; //end appSecBody
echo "<div class='appSecFoot'></div>\n";

include('footer.php');
?>